<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddTransformationProfileReq StructType
 * @subpackage Structs
 */
class AddTransformationProfileReq extends APIRequest
{
    /**
     * The transformationProfile
     * @var XTransformationProfile
     */
    public $transformationProfile;
    /**
     * Constructor method for AddTransformationProfileReq
     * @uses AddTransformationProfileReq::setTransformationProfile()
     * @param XTransformationProfile $transformationProfile
     */
    public function __construct(XTransformationProfile $transformationProfile = null)
    {
        $this
            ->setTransformationProfile($transformationProfile);
    }
    /**
     * Get transformationProfile value
     * @return XTransformationProfile|null
     */
    public function getTransformationProfile()
    {
        return $this->transformationProfile;
    }
    /**
     * Set transformationProfile value
     * @param XTransformationProfile $transformationProfile
     * @return AddTransformationProfileReq
     */
    public function setTransformationProfile(XTransformationProfile $transformationProfile = null)
    {
        $this->transformationProfile = $transformationProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddTransformationProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
